Name: snmp++
Version: 3.2.25
Release: 5%{?dist}
Summary: SNMP++v3.x is based on SNMP++v2.8 from HP* and extends it by support for SNMPv3

Group:	Development/Libraries
License: MIT
URL: http://www.agentpp.com/index.html
Source0: http://www.agentpp.com/snmp++v%{version}.tar.gz	
Patch0: snmp-settings.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: openssl-devel

%description
SNMP++v3.x is based on SNMP++v2.8 from HP* and extends it by support for 
SNMPv3 and a couple of bug fixes. SNMP++v3.x is a C++ API which supports 
SNMP v1, v2c, and v3.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
cd src
export USEROPTS="%{optflags}"
export LDFLAGS="-Wl,-soname -Wl,libsnmp++.so.2 -lssl"
make %{?_smp_mflags} -f Makefile.linux

%install
rm -rf $RPM_BUILD_ROOT
export INSTPREFIX=$RPM_BUILD_ROOT%{_prefix}
export INSTLIBPATH=$RPM_BUILD_ROOT%{_libdir}
cd src
make %{?_smp_mflags} -f Makefile.linux install
cd $RPM_BUILD_ROOT%{_libdir}
ln -s libsnmp++.so.2.0.0 libsnmp++.so.2
ln -s libsnmp++.so.2.0.0 libsnmp++.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%exclude %{_libdir}/libsnmp++.a
%{_libdir}/libsnmp++.so.*
%doc README.v3 readme.txt CHANGES.snmp++v3

%package devel
Summary: Header files and libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release},openssl-devel
%description devel
This package contains the header files  for %{name}. If you 
like to develop programs using %{name}, you will need to 
install %{name}-devel

%files devel
%defattr(-,root,root,-)
%{_libdir}/libsnmp++.so
%defattr(0644,root,root,0755)
%{_includedir}/snmp_pp

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.25-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 14 2011 Miloš Jakubíček <xjakub@fi.muni.cz> - 3.2.25-1
- Update to 3.2.25
- Drop snmp-build.patch, snmp-warnings.patch
- Use upstream soname version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.23-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 3.2.23-9
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.23-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.23-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 3.2.23-6
- rebuild with new openssl

* Thu Nov 20 2008 Hayden James - 3.2.23-5
- Fixed weak references in shared object
- Changed soname version once again

* Tue Nov 18 2008 Hayden James - 3.2.23-4
- Fixed build problem due to soname change

* Tue Nov 18 2008 Hayden James - 3.2.23-3
- Change soname to start at version 0.0.0 as upstream will continue with 1.0.0 for the 3.2.24 release

* Sat Nov 15 2008 Hayden James - 3.2.23-2
- Fixed missing soname problem. Fixed some compilation warnings. 
- Fixed description and summary formatting

* Wed Nov 12 2008 Hayden James - 3.2.23-1
- Initial package.
